- Qt 5.15
- Qt 3D
- C++ Classes
- QRenderTarget
- Qt 5.15.19 Reference Documentation

# QRenderTarget Class

class Qt3DRender::QRenderTarget

The QRenderTarget class encapsulates a target (usually a frame buffer object) which the renderer can render into. More...

Header: | #include <QRenderTarget>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | RenderTarget
Inherits: | Qt3DCore::QComponent

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Functions

void | addOutput(QRenderTargetOutput *output)
QVector<QRenderTargetOutput *> | outputs() const
void | removeOutput(QRenderTargetOutput *output)

## Detailed Description

A Qt3DRender::QRenderTarget comprises of Qt3DRender::QRenderTargetOutput objects, which specify the the buffers the render target is rendering to. The user can specify MRT(Multiple Render Targets) by attaching multiple textures to different attachment points. The results are undefined if the user tries to attach multiple textures to the same attachment point. At render time, only the draw buffers specified in the Qt3DRender::QRenderTargetSelector are used.

## Member Function Documentation

### void QRenderTarget::addOutput(QRenderTargetOutput *output)

Adds a chosen output via output.

### QVector<QRenderTargetOutput *> QRenderTarget::outputs() const

Returns the chosen outputs.

### void QRenderTarget::removeOutput(QRenderTargetOutput *output)

Removes a chosen output via output.